aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xscripts/automerge7.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/automerge7.sh b/scripts/automerge7.sh
index 524b0ff912..ea83b2e52c 100755
--- a/scripts/automerge7.sh
+++ b/scripts/automerge7.sh
@@ -67,6 +67,14 @@ maybe_commit_and_push() {
pushMerged
}
+nothingToCommit=`git status | grep "nothing to commit"`
+if [ "$nothingToCommit" == "" ]
+then
+ git status
+ echo "Can not merge when there are unstaged changes."
+ exit 1;
+fi
+
git checkout $TO
git fetch